[Pkg-cron-devel] [SCM] Git repository for pkg-cron branch, master, updated. debian/3.0pl1-123-3-gae89e50

Javier Fernandez-Sanguino jfs at debian.org
Tue Jul 3 00:00:36 UTC 2012


The following commit has been merged in the master branch:
commit e284ede4877465557c6846d391eabebd7077cbd6
Author: Javier Fernandez-Sanguino <jfs at debian.org>
Date:   Tue Jul 3 01:53:57 2012 +0200

    Remove the pidfile if it exists after killing the process. This should
    be fixed in cron itself but it is a quicker (and less complex) fix for
    bug 679106 (which is another instance of 615855 622348)

diff --git a/debian/cron.init b/debian/cron.init
index 83cfc61..13d3d16 100644
--- a/debian/cron.init
+++ b/debian/cron.init
@@ -70,7 +70,9 @@ start)	log_daemon_msg "Starting periodic command scheduler" "cron"
 	;;
 stop)	log_daemon_msg "Stopping periodic command scheduler" "cron"
         killproc -p $PIDFILE $DAEMON
-        log_end_msg $?
+        RETVAL=$?
+        [ $RETVAL -eq 0 ] && [ -e "$PIDFILE" ] && rm -f $PIDFILE
+        log_end_msg $RETVAL
         ;;
 restart) log_daemon_msg "Restarting periodic command scheduler" "cron" 
         $0 stop

-- 
Git repository for pkg-cron



More information about the Pkg-cron-devel mailing list